These are chat archives for spyder-ide/public

31st
Jul 2016
julianrolon
@julianrolon
Jul 31 2016 16:47
Hi guys
julianrolon
@julianrolon
Jul 31 2016 16:57
I have the same issue
Julians-MacBook-Pro:spyder julianrolon$ python bootstrap.py
Executing Spyder from source checkout
Revision c5cb96e, Branch: master
  1. Patched sys.path with /Users/julianrolon/Documents/Tech/github/spyder
  2. PyQt4 is detected, selecting
    Traceback (most recent call last):
    File "bootstrap.py", line 140, in <module>
    versions = get_versions(reporev=False)
    File "/Users/julianrolon/Documents/Tech/github/spyder/spyderlib/init.py", line 86, in get_versions
    'qt_api_ver': qtpy.PYQT_VERSION,
    AttributeError: 'module' object has no attribute 'PYQT_VERSION'
With conda I run this:
conda create --name spyder-dev --channel https://conda.anaconda.org/spyder-ide python=3.5 spyder
source activate spyder-dev
and the great Spyder 3.0.0 appears!! :D
Gonzalo Peña-Castellanos
@goanpeca
Jul 31 2016 17:01
run conda install qtpy -c spyder-ide
julianrolon
@julianrolon
Jul 31 2016 17:10
Thanks!